Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 235498

Summary: kernel paging request Bug & /class/net/ppp0/statistics/collisions
Product: [Fedora] Fedora Reporter: David Mohring <heretic>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: medium    
Version: 6CC: jonstanley
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-08 04:25:14 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 427887    
Attachments:
Description Flags
First Opps
none
Second Opps
none
Third Oops none

Description David Mohring 2007-04-06 10:56:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
Two kernel Opps reporting "kernel: BUG: unable to handle kernel paging request at virtual address"

The first Opps resulted in a total system freeze. More detals to follow
 

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2933.fc6

How reproducible:
Couldn't Reproduce


Steps to Reproduce:
To random Opps a week apart.

Actual Results:


Expected Results:


Additional info:

Comment 1 David Mohring 2007-04-06 10:58:05 UTC
Created attachment 151861 [details]
First Opps

This led to an immediate system freeze.

Comment 2 David Mohring 2007-04-06 10:59:50 UTC
Created attachment 151864 [details]
Second Opps

System still running, but last lanched application (Xnest) crashed.

Comment 3 David Mohring 2007-04-06 11:04:45 UTC
At least one commonality "last sysfs file: /class/net/ppp0/statistics/collisions"

connected Internet via PPPoE (/usr/sbin/pppoe) 




Comment 4 David Mohring 2007-04-11 18:02:49 UTC
Created attachment 152303 [details]
Third Oops

Comment 5 Chuck Ebbert 2007-04-11 21:17:47 UTC
prune_one_dentry()

        parent = dentry->d_parent;
        d_free(dentry);
        if (parent != dentry)
===>             dput(parent);

The parent is bogus.


Comment 6 Jon Stanley 2008-01-08 01:52:28 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 7 Jon Stanley 2008-02-08 04:25:14 UTC
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!